Skip to main content

Get Maximum Open Size

Calculate the maximum position size that can be opened based on available balance, leverage, and current market conditions.

HTTP Request

GET /api/v1/future/account/max-open

Request Parameters

ParameterTypeRequiredDescription
symbolstringYesTrading pair symbol (e.g., BTCUSDT)
posSidestringYesPosition side: "LONG" or "SHORT"
orderTypestringYesOrder type: "LIMIT" or "MARKET"
openPricestringNoOpening price (required when orderType is "LIMIT")

Request Example

Market Order Request

curl -X GET "https://open-api.bydoxe.com/api/v1/future/account/max-open?symbol=BTCUSDT&posSide=LONG&orderType=MARKET" \
-H "ACCESS-KEY: your-api-key" \
-H "ACCESS-SIGN: your-signature" \
-H "ACCESS-PASSPHRASE: your-passphrase" \
-H "ACCESS-TIMESTAMP: 1659076670000"

Limit Order Request

curl -X GET "https://open-api.bydoxe.com/api/v1/future/account/max-open?symbol=BTCUSDT&posSide=LONG&orderType=LIMIT&openPrice=90000.00" \
-H "ACCESS-KEY: your-api-key" \
-H "ACCESS-SIGN: your-signature" \
-H "ACCESS-PASSPHRASE: your-passphrase" \
-H "ACCESS-TIMESTAMP: 1659076670000"

Response Parameters

ParameterTypeDescription
codestringResponse code
msgstringResponse message
requestTimenumberRequest timestamp in milliseconds
dataobjectMaximum open data
> maxOpenstringMaximum position size that can be opened

Response Example

Success Response

{
"code": "00000",
"msg": "success",
"requestTime": 1732000000000,
"data": {
"maxOpen": "317.54"
}
}

Error Codes

CodeMessage
40034symbol does not exist
40001Order price is required
40002Order price decimal precision is too high